## org.eclipse.emf.cdo.common.revision.cache
Class CDORevisionCacheUtil

    java.lang.Object
      org.eclipse.emf.cdo.common.revision.cache.CDORevisionCacheUtil

    public final class CDORevisionCacheUtil

extends java.lang.Object

Since:
  2.0

Field Summary
`static int` `DEFAULT_CAPACITY_CURRENT`
`static int` `DEFAULT_CAPACITY_REVISED`

Method Summary
`static CDORevisionCache` `createDefaultCache()` Identical to calling ``createDefaultCache`(`DEFAULT_CAPACITY_CURRENT`, `DEFAULT_CAPACITY_REVISED`)`
`static CDORevisionCache` `createDefaultCache(int capacityCurrent, int capacityRevised)` Creates and returns a new two-level cache with the first level being an LRU cache and the second level being a memory sensitive cache.
`static CDORevisionCache` `createLRUCache(int capacityCurrent, int capacityRevised)` Creates and returns a new fixed size cache with two separate LRU (least-recently used) eviction policies for both current revision and revised revisions.
`static CDORevisionCache` `createMEMCache()` Creates and returns a new memory sensitive cache.
`static CDORevisionCache` `createTwoLevelCache(CDORevisionCache level1, CDORevisionCache level2)` Creates and returns a new two-level cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CAPACITY_CURRENT

    public static final int DEFAULT_CAPACITY_CURRENT

See Also:
  Constant Field Values

### DEFAULT_CAPACITY_REVISED

    public static final int DEFAULT_CAPACITY_REVISED

See Also:
  Constant Field Values

Method Detail

### createLRUCache

    public static CDORevisionCache createLRUCache(int capacityCurrent,
                                                  int capacityRevised)

  Creates and returns a new fixed size cache with two separate LRU (least-recently used) eviction policies for both current revision and revised revisions.

### createMEMCache

    public static CDORevisionCache createMEMCache()

  Creates and returns a new memory sensitive cache.

### createTwoLevelCache

    public static CDORevisionCache createTwoLevelCache(CDORevisionCache level1,
                                                       CDORevisionCache level2)

  Creates and returns a new two-level cache.

### createDefaultCache

    public static CDORevisionCache createDefaultCache(int capacityCurrent,
                                                      int capacityRevised)

  Creates and returns a new two-level cache with the first level being an LRU cache and the second level being a memory sensitive cache.

### createDefaultCache

    public static CDORevisionCache createDefaultCache()

  Identical to calling

  ``createDefaultCache`(`DEFAULT_CAPACITY_CURRENT`, `DEFAULT_CAPACITY_REVISED`)`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.